#include<bits/stdc++.h>
#define f first
#define s second
#define ll long long
#include "partition.h"
using namespace std;
const int maxn = 1e5+10;
int n;
bool used[maxn];
vector<int> solve(vector<int> A)
{
    n=A.size();
    vector<pair<int,int>> a;
    ll sum=0;
    for(int i=0;i<n;i++)
    {
        a.push_back({A[i],i});
        sum+=A[i];
    }
    sort(a.rbegin(),a.rend());
    vector<int> idxs;
    int r=n-1;
    for(int i=0;i<n;i+=2)
    {
        idxs.push_back(i);
    }
    int lim=n;
    if(lim&1) lim=lim;
    else lim--;
    for(int i=lim;i>0;i-=2) idxs.push_back(i);
    return idxs;
}
